# Asterisk Project : Asterisk 13 Function_STAT

Created by wikibot on Aug 08, 2014

# STAT()

### Synopsis

Does a check on the specified file.

### Description

Note

Icon

If `live_dangerously` in `asterisk.conf` is set to `no`, this function can only be executed from the dialplan, and not directly from external protocols.

### Syntax

    STAT(flag,filename)

##### Arguments

- `flag` - Flag may be one of the following:
  d - Checks if the file is a directory.
  e - Checks if the file exists.
  f - Checks if the file is a regular file.
  m - Returns the file mode (in octal)
  s - Returns the size (in bytes) of the file
  A - Returns the epoch at which the file was last accessed.
  C - Returns the epoch at which the inode was last changed.
  M - Returns the epoch at which the file was last modified.
- `filename`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538